﻿#Requires -version 5

# List directories including hidden ones
Get-ChildItem -Path 'C:\' -directory -Force

# Show junctions (up to 2 levels)
Get-ChildItem -Path 'c:\' -Force -depth 1 -ErrorAction 'SilentlyContinue' | 
  Where-Object { $_.Mode -like 'd*l' } | Select-Object -Property Mode, FullName

# Create junction
New-Item -ItemType Junction -Path 'c:\home' -Value 'C:\users'
Get-ChildItem -Path 'C:\home'

# Remove junction
Remove-Item -Path C:\home -Force -Recurse # -Recurse is required! 
