﻿# PS < v5
$src = 'C:\logs\'
$dst = 'C:\backup\log.zip'
Add-Type -assembly 'System.IO.Compression.FileSystem'
[System.IO.Compression.ZipFile]::CreateFromDirectory($src, $dst)

# Simple
Compress-Archive -Path 'C:\logs\log1.txt' -DestinationPath 'C:\backup\log1.zip'

# Pipelining
Get-ChildItem -Path $HOME -Recurse -File -Include *.txt,*.png | 
  Compress-Archive -DestinationPath 'c:\backup\files.zip' # -Force
