﻿<# 
  The Scripting Guys: Use the PowerShell 5 Convert-String Cmdlet
  http://blogs.technet.com/b/heyscriptingguy/archive/2015/08/17/use-the-powershell-5-convert-string-cmdlet.aspx    
#>

# Simple
$nationalspieler = 'Manuel Neuer', 'Mats Hummels','Philipp Lahm','Miroslav Klose'
$nationalspieler | Convert-String -Example 'Manuel Neuer=NeuerM'

# Advanced
$nationalspieler = @(
'Manuel Neuer; 1 (Torwart); München'
'Mats Hummels; 	4 (Abwehr); Dortmund'
'Philipp Lahm; 	16 (Mittelfeld); München'
'Miroslav Klose; 11 (Angriff); Rom'
)

$nationalspieler | Convert-String -Example 'Manuel Neuer; 1 (Torwart); München=NeuerM, Torwart (1)'
