﻿# Modules
(Get-Module -ListAvailable).Count          # 67 default

# PowershellGet
Get-Module -ListAvailable PowerShellGet    #  Requires NuGet
Get-Command -Module PowerShellGet

Get-PSRepository                           # 1 Repo: PSGallery
Set-PSRepository -Name PSGallery -InstallationPolicy Trusted

Find-Module  
(Find-Module).count
Find-Module pscx  
Find-Module ISESteroids
Find-Module PowerShellCookbook | Install-Module 
Get-Module -ListAvailable PowerShellCookbook | Select-Object -Property path
Get-Command -Module PowerShellCookbook

Update-Module -Name PowerShellCookbook
Remove-Module -Name PowerShellCookbook
Uninstall-Module -Name PowerShellCookbook -AllVersions

# PackageManagement (aka OneGet)
Get-Module -ListAvailable PackageManagement           #  NuGet (also) required
Get-Module -ListAvailable PackageManagement | Select-Object -ExpandProperty ExportedCommands

Get-PackageSource
Register-PackageSource -Name chocolatey -ProviderName Chocolatey -Location http://chocolatey.org/api/v2/ -Force
# Get-PackageSource chocolatey | Unregister-PackageSource

Find-Package sysinternals | Install-Package -Force 
Install-Package Opera -Force 

# Uninstall-Package Sysinternals -AllVersions
# Uninstall-Package Opera -AllVersions