function Test-Net45 {
  if (Test-Path 'HKLM:\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full') {
    if (Get-ItemProperty 'HKLM:\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full' -Name Release -ErrorAction SilentlyContinue) {
      return $True
	}
  return $False
  }
}

if (Test-NET45) { ".NET-Framework 4.5 is installed." } else { Write-Warning ".NET 4.5 is not installed!" }
