﻿<#
 A few (simple) examples about Regular Expressions and 
 text manipulation in PoSh

 http://regexr.com/
#>

# REGULAR EXPRESSIONS: Check numbers
$regex = '\d'
'123' -match $regex
'123abc' -match $regex
'abc' -match $regex

# Check letters
$regex = '[a-z]'
'123' -match $regex
'123abc' -match $regex
'abc' -match $regex

# Check password complexity
$regex = '^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,15}$'
'Pa$$w0rd' -match  $regex
'password' -match  $regex

$regex = 'Real \b(wo)?men\b dont click.'
'Real men dont click.' -match $regex
'Real women dont click.' -match $regex

# MANIPULATING TEXT
$name =  'Manuel Neuer' 
$name -replace ' ','.'
$name -replace '\s','.'

$name.Split()

# Creating a samAccountName 
$name.Split()[1] + $name.Split()[0].Substring(0,1)