﻿<#
  FlashExtract 
  http://research.microsoft.com/en-us/um/people/sumitg/flashextract.html

  Powershell Team: ConvertFrom-String: Example-based text parsing
  http://blogs.msdn.com/b/powershell/archive/2014/10/31/convertfrom-string-example-based-text-parsing.aspx 
  
  Bartek Bielawski: Using the ConvertFrom-String cmdlet to parse structured text
  http://www.powershellmagazine.com/2014/09/09/using-the-convertfrom-string-cmdlet-to-parse-structured-text/
#>

# File import
$file1 = 'C:\demo2\nationalelf.txt'
$file2 = 'C:\demo2\nationalelftemplate.txt'
Get-Content -Path $file1 | ConvertFrom-String -TemplateFile $file2 | Sort-Object -Property id